Calculate Linux - Bug # 1084: filezilla compiler compatibility issue, cls
Subject: filezilla compiler compatibility issue, cls

Description: Running filezilla in a terminal gives the following error:
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8).
Aborted
| have cls running on several computers. The one | first installed it on several months ago runs filezilla
correctly. The other 3 that | have installed cls on more recently, all give the above error. It is not clear what
program/library the error refers to. An Internet search for the error brings up several similar errors all related
to wxWidgets.
All computers are fully updated and are running the same versions of filezilla.
| don't know how to fix this problem?

History

07/24/2018 09:59 pm - BH Reach

| found a solution to the problem. Compiling filezilla, libfilezilla, and wxGTK fixes the problem. Here is the command | used:

FEATURES="-getbinpkg" emerge -av filezilla libfilezilla wxGTK

I'll post this solution in the forum in case anybody else has this problem.

07/27/2018 09:17 am - D+D»PuP°N+D°DY:D NE DENED°ND¥D2
DeD° DIDU B¢ NEDYD+D»DubY4D° Ne kicad

strange@calculate ~ $ kicad

Fatal Error: Mismatch between the program and library build versions detected.

The library used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8),

and your program used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8).
D+D2D°NED D1DYV:NPE B¥NeN,D°DY2DYiD?

FEATURES="-getbinpkg" emerge -av kicad wxGTK B¥2bu D¢ D¥DYsDsD3D»D¥a.

09/26/2018 06:26 am - Alexander Tratsevskiy

- Status changed from New to Closed

Now all the packages of the repository are reassembled by the new GCC and filezilla is working.
